//           ///          //                                        Mx clientSDK
//          /////        ////                    Mx Crossplatform Client Library
//         /// XXX     XXX ///
//        ///    XXX XXX    ///     $RCSfile: mxcpcValueRange.h,v $
//       ///       XXX       ///     $Revision: 1.3 $
//      ///      XXX XXX      ///     $Date: 2005/12/09 15:33:45 $
//     ////    XXX     XXX    ////     $Author: cvs-kai $
//    ////                     ////
//   ////  M  O  B  O  T  I  X  ////////////////////////////////////////////////
//  //// Security Vision Systems //////////////////////////////////////////////
//                                                                          //
//  Copyright (C) 2005 - 2006, MOBOTIX AG, Germany                         //
//  This software is made available under the BSD licence. Please refer   //
//  to the file LICENCE.TXT contained in this distribution for details.  //
//                                                                      //
//  /////////////////////////////////////////////////////////////////////



#ifndef __MXCPC_VALUERANGE_H__
#define __MXCPC_VALUERANGE_H__



//! This diagnostics class can be fed with integer values and remembers their
//! value range.
/*!
 *  \ingroup mxcpc_core
 */
class mxcpcValueRange {
 
 private:
  int Min, 
      Max;
  bool IsFresh;

 public:
  mxcpcValueRange();
  
 public:
  //! Feeds another integer value, possibly widening the represented value 
  //! range.
  void feedValue(int value);
  //! Prints the current range to <tt>stdout</tt>.
  void dumpRange(void);
};



#endif   // __MXCPC_VALUERANGE_H__
