//           ///          //                                        Mx clientSDK
//          /////        ////                    Mx Crossplatform Client Library
//         /// XXX     XXX ///
//        ///    XXX XXX    ///     $RCSfile: mxcpc_core_config.h,v $
//       ///       XXX       ///     $Revision: 1.2 $
//      ///      XXX XXX      ///     $Date: 2005/12/09 15:33:45 $
//     ////    XXX     XXX    ////     $Author: cvs-kai $
//    ////                     ////
//   ////  M  O  B  O  T  I  X  ////////////////////////////////////////////////
//  //// Security Vision Systems //////////////////////////////////////////////
//                                                                          //
//  Copyright (C) 2005 - 2006, MOBOTIX AG, Germany                         //
//  This software is made available under the BSD licence. Please refer   //
//  to the file LICENCE.TXT contained in this distribution for details.  //
//                                                                      //
//  /////////////////////////////////////////////////////////////////////



#ifndef __MXCPC_CORE_CONFIG_H__
#define __MXCPC_CORE_CONFIG_H__



/*! \file mxcpc_core_config.h
    \brief Central place to compiletime-configure the <tt>mxcpc_core</tt> 
    module.
*/


/*!
    \defgroup mxcpc_core mxcpc_core (Core Module - MxPEG Decoding Infrastructure)

    \brief
    This library provides the <tt>Qt</tt>- and <tt>OpenGL</tt>-independent core
    of the Mx Crossplatform Client Library. Basically, it delivers 
    infrastructure and baseline <tt>MxPEG</tt> decoding.
*/



#endif   // __MXCPC_CORE_CONFIG_H__
