//           ///          //                                        Mx clientSDK
//          /////        ////                    Mx Crossplatform Client Library
//         /// XXX     XXX ///
//        ///    XXX XXX    ///     $RCSfile: mxcpcIPAddress.cpp,v $
//       ///       XXX       ///     $Revision: 1.2 $
//      ///      XXX XXX      ///     $Date: 2005/12/07 10:38:54 $
//     ////    XXX     XXX    ////     $Author: cvs-kai $
//    ////                     ////
//   ////  M  O  B  O  T  I  X  ////////////////////////////////////////////////
//  //// Security Vision Systems //////////////////////////////////////////////
//                                                                          //
//  Copyright (C) 2005 - 2006, MOBOTIX AG, Germany                         //
//  This software is made available under the BSD licence. Please refer   //
//  to the file LICENCE.TXT contained in this distribution for details.  //
//                                                                      //
//  /////////////////////////////////////////////////////////////////////



#include <mxcpcIPAddress.h>
#include <mxcpc_namespace.h>



mxcpcIPAddress::mxcpcIPAddress(int ip1, int ip2, int ip3, int ip4) {

  IP1 = ip1;
  mxcpc::clamp_int(&IP1, 0, 255);

  IP2 = ip2;
  mxcpc::clamp_int(&IP2, 0, 255);
  
  IP3 = ip3;
  mxcpc::clamp_int(&IP3, 0, 255);
  
  IP4 = ip4;
  mxcpc::clamp_int(&IP4, 0, 255);
}


mxcpcIPAddress::mxcpcIPAddress() {

  IP1 = 127;
  IP2 =   0;
  IP3 =   0;
  IP4 =   1;
}

