//           ///          //                                        Mx clientSDK
//          /////        ////                    Mx Crossplatform Client Library
//         /// XXX     XXX ///
//        ///    XXX XXX    ///     $RCSfile: mxcpcFastStreamParametersSelector.h,v $
//       ///       XXX       ///     $Revision: 1.1 $
//      ///      XXX XXX      ///     $Date: 2005/12/19 17:38:39 $
//     ////    XXX     XXX    ////     $Author: cvs-kai $
//    ////                     ////
//   ////  M  O  B  O  T  I  X  ////////////////////////////////////////////////
//  //// Security Vision Systems //////////////////////////////////////////////
//                                                                          //
//  Copyright (C) 2005 - 2006, MOBOTIX AG, Germany                         //
//  This software is made available under the BSD licence. Please refer   //
//  to the file LICENCE.TXT contained in this distribution for details.  //
//                                                                      //
//  /////////////////////////////////////////////////////////////////////



#ifndef __MXCPC_FASTSTREAMPARAMETERSSELECTOR_H__
#define __MXCPC_FASTSTREAMPARAMETERSSELECTOR_H__



#include <QWidget>



class QComboBox;



//! Widget allowing the user to set parameters for a camera live faststream.
/*!
 *  \ingroup mxcpc_gui
 */
class mxcpcFastStreamParametersSelector : public QWidget {

 private:
  QComboBox *FrameRateComboBox;
 
 public:
  mxcpcFastStreamParametersSelector(QWidget *parent);

 public:
  //! Retrieves the framerate currently set in the widget
  float getFrameRate(void);
};



#endif   // __MXCPC_FASTSTREAMPARAMETERSSELECTOR_H__

