//           ///          //                                        Mx clientSDK
//          /////        ////                    Mx Crossplatform Client Library
//         /// XXX     XXX ///
//        ///    XXX XXX    ///     $RCSfile: mxcpcMessageDialog.h,v $
//       ///       XXX       ///     $Revision: 1.6 $
//      ///      XXX XXX      ///     $Date: 2006/01/05 11:56:09 $
//     ////    XXX     XXX    ////     $Author: cvs-kai $
//    ////                     ////
//   ////  M  O  B  O  T  I  X  ////////////////////////////////////////////////
//  //// Security Vision Systems //////////////////////////////////////////////
//                                                                          //
//  Copyright (C) 2005 - 2006, MOBOTIX AG, Germany                         //
//  This software is made available under the BSD licence. Please refer   //
//  to the file LICENCE.TXT contained in this distribution for details.  //
//                                                                      //
//  /////////////////////////////////////////////////////////////////////



#ifndef __MXCPC_MESSAGE_DIALOG_H__
#define __MXCPC_MESSAGE_DIALOG_H__



#include <mxcpcDialog.h>



class QLabel;



//! Simple text message dialog.
/*!
 *  \ingroup mxcpc_gui
 */
class mxcpcMessageDialog : public mxcpcDialog {

 private:
  QLabel *MessageTextLabel;
  
 public:
  mxcpcMessageDialog(QWidget *parent = 0);

 public:
  //! Sets the message displayed by the dialog.
  void setMessage(const QString& title, const QString& message);
};



#endif   // __MXCPC_MESSAGE_DIALOG_H__

