//           ///          //                                        Mx clientSDK
//          /////        ////                    Mx Crossplatform Client Library
//         /// XXX     XXX ///
//        ///    XXX XXX    ///     $RCSfile: mxcpcSDKInfoDialog.h,v $
//       ///       XXX       ///     $Revision: 1.2 $
//      ///      XXX XXX      ///     $Date: 2006/01/05 11:56:09 $
//     ////    XXX     XXX    ////     $Author: cvs-kai $
//    ////                     ////
//   ////  M  O  B  O  T  I  X  ////////////////////////////////////////////////
//  //// Security Vision Systems //////////////////////////////////////////////
//                                                                          //
//  Copyright (C) 2005 - 2006, MOBOTIX AG, Germany                         //
//  This software is made available under the BSD licence. Please refer   //
//  to the file LICENCE.TXT contained in this distribution for details.  //
//                                                                      //
//  /////////////////////////////////////////////////////////////////////



#ifndef __MXCPC_SDKINFODIALOG_H__
#define __MXCPC_SDKINFODIALOG_H__



#include <mxcpcDialog.h>



class QTimer;



//! Dialog showing info about the mxcpc/SDK version.
/*!
 *  \ingroup mxcpc_gui
 */
class mxcpcSDKInfoDialog : public mxcpcDialog {

  Q_OBJECT

 private:
  QTimer *AutoCloseTimer;
 
 public:
  mxcpcSDKInfoDialog(QWidget *parent);

 public:
  //! Calling this method will cause the information dialog to hide 
  //! automatically after the time specified.
  void hideLater(int msecs = 4000);
  
 private slots:
  void processCloseClicked(void);
};



#endif   // __MXCPC_SDKINFODIALOG_H__
