//           ///          //                                        Mx clientSDK
//          /////        ////                    Mx Crossplatform Client Library
//         /// XXX     XXX ///
//        ///    XXX XXX    ///     $RCSfile: mxcpc_gui_config.h,v $
//       ///       XXX       ///     $Revision: 1.2 $
//      ///      XXX XXX      ///     $Date: 2005/12/09 15:33:45 $
//     ////    XXX     XXX    ////     $Author: cvs-kai $
//    ////                     ////
//   ////  M  O  B  O  T  I  X  ////////////////////////////////////////////////
//  //// Security Vision Systems //////////////////////////////////////////////
//                                                                          //
//  Copyright (C) 2005 - 2006, MOBOTIX AG, Germany                         //
//  This software is made available under the BSD licence. Please refer   //
//  to the file LICENCE.TXT contained in this distribution for details.  //
//                                                                      //
//  /////////////////////////////////////////////////////////////////////



#ifndef __MXCPC_GUI_CONFIG_H__
#define __MXCPC_GUI_CONFIG_H__



/*! \file mxcpc_gui_config.h
    \brief Central place to compiletime-configure the <tt>mxcpc_gui</tt> 
    module.
*/


/*!
    \defgroup mxcpc_gui mxcpc_gui (GUI Module - Graphical User Interface)

    \brief
    This library provides <tt>Qt</tt>- and <tt>OpenGL</tt>-based GUI facilities
    operating on the mechanisms provided by the mxcpc_core and mxcpc_tek 
    modules.
*/



#define MXCPC_DIALOG_SPACING 10



#endif   // __MXCPC_GUI_CONFIG_H__
