//           ///          //                                        Mx clientSDK
//          /////        ////                    Mx Crossplatform Client Library
//         /// XXX     XXX ///
//        ///    XXX XXX    ///     $RCSfile: mxcpcBestPerformanceMxPEGCodecFactory.h,v $
//       ///       XXX       ///     $Revision: 1.1 $
//      ///      XXX XXX      ///     $Date: 2005/12/20 16:41:56 $
//     ////    XXX     XXX    ////     $Author: cvs-kai $
//    ////                     ////
//   ////  M  O  B  O  T  I  X  ////////////////////////////////////////////////
//  //// Security Vision Systems //////////////////////////////////////////////
//                                                                          //
//  Copyright (C) 2005 - 2006, MOBOTIX AG, Germany                         //
//  This software is made available under the BSD licence. Please refer   //
//  to the file LICENCE.TXT contained in this distribution for details.  //
//                                                                      //
//  /////////////////////////////////////////////////////////////////////



#ifndef __MXCPC_BESTPERFORMANCEMXPEGCODECFACTORY_H__
#define __MXCPC_BESTPERFORMANCEMXPEGCODECFACTORY_H__



#include <mxcpcMxPEGCodecFactory.h>



//! Depending on the <tt>mxcpc</tt> configuration during compiletime, this 
//! factory provides the codec implementations with optimum performance. 
/*!
 *  \ingroup mxcpc_tek
 */
class mxcpcBestPerformanceMxPEGCodecFactory : public mxcpcMxPEGCodecFactory {

 public:
  //! (Re)implemented.
  mxcpcFramewiseMxPEGScanDecoder  
   *newFramewiseMxPEGScanDecoder(void);
  //! (Re)implemented.                                        
  mxcpcFramewiseMxPEGScanToJPEGConverter 
   *newFramewiseMxPEGScanToJPEGConverter(mxcpcJPEGReceiver *receiver);
};



#endif   // __MXCPC_BESTPERFORMANCEMXPEGCODECFACTORY_H__

