//           ///          //                                        Mx clientSDK
//          /////        ////                    Mx Crossplatform Client Library
//         /// XXX     XXX ///
//        ///    XXX XXX    ///     $RCSfile: mxcpcBestPerformanceMxPEGCodecFactory.cpp,v $
//       ///       XXX       ///     $Revision: 1.1 $
//      ///      XXX XXX      ///     $Date: 2005/12/20 16:41:56 $
//     ////    XXX     XXX    ////     $Author: cvs-kai $
//    ////                     ////
//   ////  M  O  B  O  T  I  X  ////////////////////////////////////////////////
//  //// Security Vision Systems //////////////////////////////////////////////
//                                                                          //
//  Copyright (C) 2005 - 2006, MOBOTIX AG, Germany                         //
//  This software is made available under the BSD licence. Please refer   //
//  to the file LICENCE.TXT contained in this distribution for details.  //
//                                                                      //
//  /////////////////////////////////////////////////////////////////////



#include <mxcpcBestPerformanceMxPEGCodecFactory.h>
#include <mxcpcFramewiseMxPEGScanDecoderSoftwareOnly.h>
#include <mxcpcFramewiseMxPEGScanToJPEGConverterSoftwareOnly.h>



/*! 
 *  \file mxcpcBestPerformanceMxPEGCodecFactory.cpp
 *
 *  \brief Default implementation if no acceleration libraries are available.
 */

 

mxcpcFramewiseMxPEGScanDecoder  
 *mxcpcBestPerformanceMxPEGCodecFactory::newFramewiseMxPEGScanDecoder(void) {

  return(new mxcpcFramewiseMxPEGScanDecoderSoftwareOnly());
}
 

mxcpcFramewiseMxPEGScanToJPEGConverter 
   *mxcpcBestPerformanceMxPEGCodecFactory
    ::newFramewiseMxPEGScanToJPEGConverter(mxcpcJPEGReceiver *receiver) {

  return(new mxcpcFramewiseMxPEGScanToJPEGConverterSoftwareOnly(receiver));
}
