//           ///          //                                        Mx clientSDK
//          /////        ////                    Mx Crossplatform Client Library
//         /// XXX     XXX ///
//        ///    XXX XXX    ///     $RCSfile: mxcpcProxyConfiguration.cpp,v $
//       ///       XXX       ///     $Revision: 1.1 $
//      ///      XXX XXX      ///     $Date: 2006/01/04 16:38:20 $
//     ////    XXX     XXX    ////     $Author: cvs-kai $
//    ////                     ////
//   ////  M  O  B  O  T  I  X  ////////////////////////////////////////////////
//  //// Security Vision Systems //////////////////////////////////////////////
//                                                                          //
//  Copyright (C) 2005 - 2006, MOBOTIX AG, Germany                         //
//  This software is made available under the BSD licence. Please refer   //
//  to the file LICENCE.TXT contained in this distribution for details.  //
//                                                                      //
//  /////////////////////////////////////////////////////////////////////



#include <mxcpcProxyConfiguration.h>



mxcpcProxyConfiguration
 ::mxcpcProxyConfiguration(const mxcpcIPAddress& server_ip,
                           int server_port)                 {

  ServerIP   = server_ip;
  ServerPort = server_port;
  UseProxy   = true;
}


mxcpcProxyConfiguration::mxcpcProxyConfiguration() {

  ServerIP   = mxcpcIPAddress(192, 1268, 1, 254);
  ServerPort = 8080;
  UseProxy   = false;
}



void mxcpcProxyConfiguration::setServerIP(const mxcpcIPAddress& ip) {

  ServerIP = ip;
}
mxcpcIPAddress mxcpcProxyConfiguration::serverIP(void) {

  return(ServerIP);
}


void mxcpcProxyConfiguration::setServerPort(int port) {

  ServerPort = port;
}
int mxcpcProxyConfiguration::serverPort(void) {

  return(ServerPort);
}


void mxcpcProxyConfiguration::setProxyUsed(bool proxy_used) {

  UseProxy = proxy_used;
}
bool mxcpcProxyConfiguration::proxyUsed(void) {

  return(UseProxy);
}

