TEMPLATE	=	lib
QT		*=	
CONFIG		*=	release exceptions
CONFIG		-=	qt
CONFIG          -=      debug debug_and_release

INCLUDEPATH	=	include

DEPENDPATH	=	include

#LIBS		=

HEADERS		=	mxcpc_core_config.h \
			mxcpc_exceptions.h \
			mxcpc_namespace.h \
			mxcpc_mxpeg_namespace.h \
                        mxcpcBinaryFileWriter.h \
                        mxcpcBufferedMxPEGDecoderBackEnd.h \
                        mxcpcByteStreamReceiver.h \
			mxcpcCameraLiveMxPEGFastStream.h \
			mxcpcCameraLiveMxPEGFastStreamPOSIX.h \
			mxcpcDefaultMxPEGDecoderBackEnd.h \
                        mxcpcDevNullStatusMessageHandler.h \
			mxcpcFramewiseMxPEGDecoder.h \
			mxcpcFramewiseMxPEGScanDecoder.h \
			mxcpcFramewiseMxPEGScanDecoderSoftwareOnly.h \
                        mxcpcFramewiseMxPEGScanToJPEGConverter.h \
                        mxcpcFramewiseMxPEGScanToJPEGConverterSoftwareOnly.h \
			mxcpcHuffmanTree.h \
                        mxcpcIPAddress.h \
                        mxcpcJPEGReceiver.h \
                        mxcpcJPEGSequenceWriter.h \
                        mxcpcMJPEGWriter.h \
			mxcpcMxPEGDecoder.h \
			mxcpcMxPEGDecoderBackEnd.h \
                        mxcpcMxPEGRawFrameDumper.h \
                        mxcpcStatusMessageHandler.h \
			mxcpcStreamDecoder.h \
			mxcpcStreamFile.h \
                        mxcpcStreamSource.h \
                        mxcpcTime.h \
			mxcpcValueRange.h 

SOURCES		=	mxcpc_namespace.cpp \
			mxcpc_mxpeg_namespace.cpp \
                        mxcpcBufferedMxPEGDecoderBackEnd.cpp \
                        mxcpcByteStreamReceiver.cpp \
			mxcpcCameraLiveMxPEGFastStream.cpp \
			mxcpcDefaultMxPEGDecoderBackEnd.cpp \
                        mxcpcDevNullStatusMessageHandler.cpp \
			mxcpcFramewiseMxPEGDecoder.cpp \
			mxcpcFramewiseMxPEGScanDecoder.cpp \
			mxcpcFramewiseMxPEGScanDecoderSoftwareOnly.cpp \
                        mxcpcFramewiseMxPEGScanToJPEGConverter.cpp \
                        mxcpcFramewiseMxPEGScanToJPEGConverterSoftwareOnly.cpp \
			mxcpcHuffmanTree.cpp \
                        mxcpcIPAddress.cpp \
                        mxcpcJPEGReceiver.cpp \
                        mxcpcMJPEGWriter.cpp \
			mxcpcMxPEGDecoder.cpp \
			mxcpcMxPEGDecoderBackEnd.cpp \
                        mxcpcMxPEGRawFrameDumper.cpp \
                        mxcpcStatusMessageHandler.cpp \
			mxcpcStreamDecoder.cpp \
                        mxcpcStreamSource.cpp  \
			mxcpcValueRange.cpp
win32 {
  SOURCES       +=      mxcpcBinaryFileWriter_win.cpp \
                        mxcpcJPEGSequenceWriter_win.cpp \
                        mxcpcStreamFile_win.cpp \
                        mxcpcTime_win.cpp
} else {
  SOURCES       +=      mxcpcBinaryFileWriter.cpp \
                        mxcpcCameraLiveMxPEGFastStreamPOSIX.cpp \
                        mxcpcJPEGSequenceWriter.cpp \
                        mxcpcStreamFile.cpp \
                        mxcpcTime.cpp
}

TARGET		=	mxcpc_core
OBJECTS_DIR	=	obj
DESTDIR		=	lib

