//           ///          //                                        Mx clientSDK
//          /////        ////                    Mx Crossplatform Client Library
//         /// XXX     XXX ///
//        ///    XXX XXX    ///     $RCSfile: mxcpcByteStreamReceiver.h,v $
//       ///       XXX       ///     $Revision: 1.1 $
//      ///      XXX XXX      ///     $Date: 2006/01/11 19:07:06 $
//     ////    XXX     XXX    ////     $Author: cvs-kai $
//    ////                     ////
//   ////  M  O  B  O  T  I  X  ////////////////////////////////////////////////
//  //// Security Vision Systems //////////////////////////////////////////////
//                                                                          //
//  Copyright (C) 2005 - 2006, MOBOTIX AG, Germany                         //
//  This software is made available under the BSD licence. Please refer   //
//  to the file LICENCE.TXT contained in this distribution for details.  //
//                                                                      //
//  /////////////////////////////////////////////////////////////////////



#ifndef __MXCPC_BYTESTREAMRECEIVER_H__
#define __MXCPC_BYTESTREAMRECEIVER_H__



#include <mxcpc_namespace.h>



//! Interface / base class to entities receiving byte streams.
/*!
 *  \ingroup mxcpc_core
 */
class mxcpcByteStreamReceiver {

 public:
  virtual ~mxcpcByteStreamReceiver() = 0;

 public:
  //! Used to send stream bytes to the receiver.
  virtual void receiveStreamBytes(const mxcpc::u8 *bytes, int byte_num) = 0;
};



#endif   // __MXCPC_BYTESTREAMRECEIVER_H__

