//           ///          //                                        Mx clientSDK
//          /////        ////                    Mx Crossplatform Client Library
//         /// XXX     XXX ///
//        ///    XXX XXX    ///     $RCSfile: mxcpcDevNullStatusMessageHandler.h,v $
//       ///       XXX       ///     $Revision: 1.2 $
//      ///      XXX XXX      ///     $Date: 2005/12/15 09:22:55 $
//     ////    XXX     XXX    ////     $Author: cvs-kai $
//    ////                     ////
//   ////  M  O  B  O  T  I  X  ////////////////////////////////////////////////
//  //// Security Vision Systems //////////////////////////////////////////////
//                                                                          //
//  Copyright (C) 2005 - 2006, MOBOTIX AG, Germany                         //
//  This software is made available under the BSD licence. Please refer   //
//  to the file LICENCE.TXT contained in this distribution for details.  //
//                                                                      //
//  /////////////////////////////////////////////////////////////////////



#ifndef __MXCPC_DEVNULLSTATUSMESSAGEHANDLER_H__
#define __MXCPC_DEVNULLSTATUSMESSAGEHANDLER_H__



#include <mxcpcStatusMessageHandler.h>



//! This status message handler can be installed if you wish no status output
//! whatsoever.
/*!
 *  \ingroup mxcpc_core
 */
class mxcpcDevNullStatusMessageHandler : public mxcpcStatusMessageHandler {

 public:
  //! (Re)implemented.
  void sendStatusMsg(const char *txt, void *class_ptr);
};



#endif   // __MXCPC_DEVNULLSTATUSMESSAGEHANDLER_H__

