//           ///          //                                        Mx clientSDK
//          /////        ////                    Mx Crossplatform Client Library
//         /// XXX     XXX ///
//        ///    XXX XXX    ///     $RCSfile: mxcpcIPAddress.h,v $
//       ///       XXX       ///     $Revision: 1.3 $
//      ///      XXX XXX      ///     $Date: 2005/12/09 15:33:45 $
//     ////    XXX     XXX    ////     $Author: cvs-kai $
//    ////                     ////
//   ////  M  O  B  O  T  I  X  ////////////////////////////////////////////////
//  //// Security Vision Systems //////////////////////////////////////////////
//                                                                          //
//  Copyright (C) 2005 - 2006, MOBOTIX AG, Germany                         //
//  This software is made available under the BSD licence. Please refer   //
//  to the file LICENCE.TXT contained in this distribution for details.  //
//                                                                      //
//  /////////////////////////////////////////////////////////////////////



#ifndef __MXCPC_IPADDRESS_H__
#define __MXCPC_IPADDRESS_H__



//! Well, IP address.
/*!
 *  \ingroup mxcpc_core
 */
class mxcpcIPAddress {

 private:
  int IP1, IP2, IP3, IP4;

 public:
  mxcpcIPAddress(int ip1, int ip2, int ip3, int ip4);
  mxcpcIPAddress();
  
 public:
  int getIP1(void) const { return(IP1); }
  int getIP2(void) const { return(IP2); }
  int getIP3(void) const { return(IP3); }
  int getIP4(void) const { return(IP4); }
};



#endif   // __MXCPC_IPADDRESS_H__

