//           ///          //                                        Mx clientSDK
//          /////        ////                    Mx Crossplatform Client Library
//         /// XXX     XXX ///
//        ///    XXX XXX    ///     $RCSfile: mxcpcStatusMessageHandler.h,v $
//       ///       XXX       ///     $Revision: 1.2 $
//      ///      XXX XXX      ///     $Date: 2005/12/15 09:22:55 $
//     ////    XXX     XXX    ////     $Author: cvs-kai $
//    ////                     ////
//   ////  M  O  B  O  T  I  X  ////////////////////////////////////////////////
//  //// Security Vision Systems //////////////////////////////////////////////
//                                                                          //
//  Copyright (C) 2005 - 2006, MOBOTIX AG, Germany                         //
//  This software is made available under the BSD licence. Please refer   //
//  to the file LICENCE.TXT contained in this distribution for details.  //
//                                                                      //
//  /////////////////////////////////////////////////////////////////////



#ifndef __MXCPC_STATUSMESSAGEHANDLER_H__
#define __MXCPC_STATUSMESSAGEHANDLER_H__



//! Interface to all handlers for the mxcpc status messaging facility.
/*!
 *  \ingroup mxcpc_core
 */
class mxcpcStatusMessageHandler {

 public:
  virtual ~mxcpcStatusMessageHandler();
  
 public:
  virtual void sendStatusMsg(const char *txt, void *class_ptr) = 0; 
};



#endif   // __MXCPC_STATUSMESSAGEHANDLER_H__

