//           ///          //                                        Mx clientSDK
//          /////        ////                    Mx Crossplatform Client Library
//         /// XXX     XXX ///
//        ///    XXX XXX    ///     $RCSfile: mxcpcTime.cpp,v $
//       ///       XXX       ///     $Revision: 1.1 $
//      ///      XXX XXX      ///     $Date: 2006/01/12 15:20:08 $
//     ////    XXX     XXX    ////     $Author: cvs-kai $
//    ////                     ////
//   ////  M  O  B  O  T  I  X  ////////////////////////////////////////////////
//  //// Security Vision Systems //////////////////////////////////////////////
//                                                                          //
//  Copyright (C) 2005 - 2006, MOBOTIX AG, Germany                         //
//  This software is made available under the BSD licence. Please refer   //
//  to the file LICENCE.TXT contained in this distribution for details.  //
//                                                                      //
//  /////////////////////////////////////////////////////////////////////



#include <mxcpcTime.h>



mxcpcTime::mxcpcTime() {

  setBaseTime();
}



void mxcpcTime::setBaseTime(void) {

  gettimeofday(&BaseTime, 0);
}


int mxcpcTime::elapsed(void) {

  long delta_msecs;
  
  struct timeval current_time, time_delta;

  gettimeofday(&current_time, 0);

  time_delta.tv_sec = current_time.tv_sec - BaseTime.tv_sec;
  if(current_time.tv_usec < BaseTime.tv_usec) {
    time_delta.tv_sec--;
    time_delta.tv_usec = 1000000 - BaseTime.tv_usec
                          + current_time.tv_usec;
  }
  else time_delta.tv_usec = current_time.tv_usec
                             - BaseTime.tv_usec;

  delta_msecs =  time_delta.tv_usec / 1000;
  delta_msecs += time_delta.tv_sec  * 1000;

  BaseTime = current_time;
  
  return((int)delta_msecs);
}

