//           ///          //                                        Mx clientSDK
//          /////        ////                    Mx Crossplatform Client Library
//         /// XXX     XXX ///
//        ///    XXX XXX    ///     $RCSfile: mxcpcIPEdit.h,v $
//       ///       XXX       ///     $Revision: 1.1 $
//      ///      XXX XXX      ///     $Date: 2005/12/19 17:38:39 $
//     ////    XXX     XXX    ////     $Author: cvs-kai $
//    ////                     ////
//   ////  M  O  B  O  T  I  X  ////////////////////////////////////////////////
//  //// Security Vision Systems //////////////////////////////////////////////
//                                                                          //
//  Copyright (C) 2005 - 2006, MOBOTIX AG, Germany                         //
//  This software is made available under the BSD licence. Please refer   //
//  to the file LICENCE.TXT contained in this distribution for details.  //
//                                                                      //
//  /////////////////////////////////////////////////////////////////////



#ifndef __MXCPC_IPEDIT_H__
#define __MXCPC_IPEDIT_H__



#include <mxcpcIPAddress.h>

#include <QWidget>



class QSpinBox;



//! Widget allowing the user to enter an IP address.
/*!
 *  \ingroup mxcpc_gui
 */
class mxcpcIPEdit : public QWidget {
  
 private:
  QSpinBox *IPEdit[4];
  
 public:
  mxcpcIPEdit(QWidget *parent);

 public slots:
  //! Sets the currently displayed IP address as specified.
  void setIPAddress(const mxcpcIPAddress& ip);

 public:
  //! Returns the currently set IP address.
  mxcpcIPAddress getIPAddress(void);
};



#endif   // __MXCPC_IPEDIT_H__

