//           ///          //                                        Mx clientSDK
//          /////        ////                    Mx Crossplatform Client Library
//         /// XXX     XXX ///
//        ///    XXX XXX    ///     $RCSfile: mxcpcFastStreamParametersSelector.cpp,v $
//       ///       XXX       ///     $Revision: 1.1 $
//      ///      XXX XXX      ///     $Date: 2005/12/19 17:38:39 $
//     ////    XXX     XXX    ////     $Author: cvs-kai $
//    ////                     ////
//   ////  M  O  B  O  T  I  X  ////////////////////////////////////////////////
//  //// Security Vision Systems //////////////////////////////////////////////
//                                                                          //
//  Copyright (C) 2005 - 2006, MOBOTIX AG, Germany                         //
//  This software is made available under the BSD licence. Please refer   //
//  to the file LICENCE.TXT contained in this distribution for details.  //
//                                                                      //
//  /////////////////////////////////////////////////////////////////////



#include <mxcpcFastStreamParametersSelector.h>
#include <mxcpc_namespace.h>

#include <QGridLayout>
#include <QLabel>
#include <QComboBox>



mxcpcFastStreamParametersSelector
 ::mxcpcFastStreamParametersSelector(QWidget *parent)
    : QWidget(parent)                                 {
  
  QGridLayout *grid_layout;
  QComboBox *combo_box;
  QLabel *label;
  int i;
  
  grid_layout = new QGridLayout(this);
  grid_layout->setMargin(0);
  //grid_layout->setSizeConstraint(QLayout::SetFixedSize);
  
  label = new QLabel(QString("Framerate:"), this);
  grid_layout->addWidget(label, 0, 0);
  FrameRateComboBox = combo_box = new QComboBox(this);
  grid_layout->addWidget(combo_box, 0, 1);
  combo_box->setSizePolicy(QSizePolicy(QSizePolicy::Fixed,
                                       QSizePolicy::Fixed));
  for(i = 0; i < mxcpc::FrameRatePresetNum; i++)
   combo_box->addItem(mxcpc::FrameRatePresetNames[i]);
  for(i = 0; i < mxcpc::FrameRatePresetNum; i++)
   if(   (mxcpc::FrameRatePresets[i] > 3.5f)
      && (mxcpc::FrameRatePresets[i] < 4.5f)) {
    combo_box->setCurrentIndex(i);
   }
}



float mxcpcFastStreamParametersSelector::getFrameRate(void) {

  return(mxcpc::FrameRatePresets[FrameRateComboBox->currentIndex()]);
}
