//           ///          //                                        Mx clientSDK
//          /////        ////                    Mx Crossplatform Client Library
//         /// XXX     XXX ///
//        ///    XXX XXX    ///     $RCSfile: mxcpcVideoDisplay.h,v $
//       ///       XXX       ///     $Revision: 1.2 $
//      ///      XXX XXX      ///     $Date: 2005/12/07 10:38:54 $
//     ////    XXX     XXX    ////     $Author: cvs-kai $
//    ////                     ////
//   ////  M  O  B  O  T  I  X  ////////////////////////////////////////////////
//  //// Security Vision Systems //////////////////////////////////////////////
//                                                                          //
//  Copyright (C) 2005 - 2006, MOBOTIX AG, Germany                         //
//  This software is made available under the BSD licence. Please refer   //
//  to the file LICENCE.TXT contained in this distribution for details.  //
//                                                                      //
//  /////////////////////////////////////////////////////////////////////



#ifndef __MXCPC_VIDEODISPLAY_H__
#define __MXCPC_VIDEODISPLAY_H__



#include <QGLWidget>



//! Baseclass to all 2D display widgets - arranging for the proper preparation 
//! of the respective <tt>OpenGL</tt> contexts.
/*!
 *  \ingroup mxcpc_tek
*/
class mxcpcVideoDisplay : public QGLWidget {

 public:
  mxcpcVideoDisplay(QWidget *parent);
  
 protected:
  void initializeGL(void);

 private:
  //! Tricky way of allowing the constructor to implicitly set a custom GL
  //! format...
  static QGLFormat getFormat(void);
};



#endif   // __MXCPC_VIDEODISPLAY_H__

