TEMPLATE	=	lib
QT		*=      opengl network
CONFIG		*=	qt opengl release
CONFIG          -=      debug debug_and_release
CONFIG		*=	$$[MXCPC_SDK_CONFIG]

INCLUDEPATH	=	include	\
			../core/include
mxcpc_ipp_support {
  unix:!macx {
    INCLUDEPATH +=      $(MXCPC_IPP_DIR)/include
  }
  win32 {
  }
}

DEPENDPATH	=	include \
			../core/include

LIBS		=       -L../core/lib \
                        -lmxcpc_core
mxcpc_ipp_support {
  unix:!macx {
    LIBS        +=      -L$(MXCPC_IPP_DIR)/sharedlib \
                        -lippcc -lippj
  }
  win32 {
  }
}
                        
HEADERS		=	mxcpc_tek_config.h \
                        mxcpcAsynchronousCameraLiveMxPEGFastStream.h \
                        mxcpcBestPerformanceMxPEGCodecFactory.h \
			mxcpcBufferedMxPEGVideoRenderer.h \
                        mxcpcFramewiseMxPEGScanDecoderIPP.h \
                        mxcpcFramewiseMxPEGScanToJPEGConverterIPP.h \
                        mxcpcMxPEGCodecFactory.h \
                        mxcpcProxyConfiguration.h \
                        mxcpcVideoDisplay.h

SOURCES		=	mxcpcAsynchronousCameraLiveMxPEGFastStream.cpp \
			mxcpcBufferedMxPEGVideoRenderer.cpp \
                        mxcpcMxPEGCodecFactory.cpp \
                        mxcpcProxyConfiguration.cpp \
                        mxcpcVideoDisplay.cpp
mxcpc_ipp_support:!macx:!win32 {
  SOURCES       +=      mxcpcBestPerformanceMxPEGCodecFactory_ipp.cpp \
                        mxcpcFramewiseMxPEGScanDecoderIPP.cpp \
                        mxcpcFramewiseMxPEGScanToJPEGConverterIPP.cpp
} else {
  SOURCES       +=      mxcpcBestPerformanceMxPEGCodecFactory.cpp
}

TARGET		=	mxcpc_tek
MOC_DIR		=	moc
OBJECTS_DIR	=	obj
DESTDIR		=	lib

